Skip to main content

Create new account

Setup a new Data Oculus account with the required details.

Request Body — REQUIRED

DOPAccount object to create

id string — REQUIRED
name string
email string
cloudProvider string

Possible values: [gcp, aws, azure, databricks, digital_ocean]

cloudProviderConfig object
id string — REQUIRED

Possible values: [gcp, aws, azure, databricks, digital_ocean]

description string
secret string
catalogConfig object
google_data_catalog object[]
projects string[]
projectLocation string[]
parentProjectSAKey string
id string — REQUIRED
name string
catalogSyncSchedule object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
lastSyncTime object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
active boolean
kaggle_data_catalog object[]
cookie string
x-xsrf-token string
accessToken string
id string — REQUIRED
name string
catalogSyncSchedule object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
lastSyncTime object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
active boolean
unity_data_catalog object[]
workspaceURL string
catalogURL string
personalAccessToken string
id string — REQUIRED
name string
catalogSyncSchedule object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
lastSyncTime object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
active boolean
dataProcessorConfig object
name string
schedule object
scheduleType string

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean
startTime int64
repeatFrequency string
cronExpression string
cloudProvider string

Possible values: [gcp, aws, azure, databricks, digital_ocean]

sparkConf object
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
streamingInterval int32
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
201

Account created successfully.

Schema — OPTIONAL
id string
name string — OPTIONAL
email string — OPTIONAL
cloudProvider string — OPTIONAL

Possible values: [gcp, aws, azure, databricks, digital_ocean]

cloudProviderConfig object — OPTIONAL
id string

Possible values: [gcp, aws, azure, databricks, digital_ocean]

description string — OPTIONAL
secret string — OPTIONAL
catalogConfig object — OPTIONAL
google_data_catalog object[] — OPTIONAL
projects string[] — OPTIONAL
projectLocation string[] — OPTIONAL
parentProjectSAKey string — OPTIONAL
id string
name string — OPTIONAL
catalogSyncSchedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
lastSyncTime object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
active boolean — OPTIONAL
kaggle_data_catalog object[] — OPTIONAL
cookie string — OPTIONAL
x-xsrf-token string — OPTIONAL
accessToken string — OPTIONAL
id string
name string — OPTIONAL
catalogSyncSchedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
lastSyncTime object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
active boolean — OPTIONAL
unity_data_catalog object[] — OPTIONAL
workspaceURL string — OPTIONAL
catalogURL string — OPTIONAL
personalAccessToken string — OPTIONAL
id string
name string — OPTIONAL
catalogSyncSchedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
lastSyncTime object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
active boolean — OPTIONAL
dataProcessorConfig object — OPTIONAL
name string — OPTIONAL
schedule object — OPTIONAL
scheduleType string — OPTIONAL

Possible values: [cron, one_time, no_schedule]

scheduledOnceAlready boolean — OPTIONAL
startTime int64 — OPTIONAL
repeatFrequency string — OPTIONAL
cronExpression string — OPTIONAL
cloudProvider string — OPTIONAL

Possible values: [gcp, aws, azure, databricks, digital_ocean]

sparkConf object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
streamingInterval int32 — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Invalid input.

401

Unauthorized access.